• Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

HiberClipse Plugin is not working!

 
Helen Ge
Ranch Hand
Posts: 68
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi,

I installed the hiberClipse plugin in my WSAD 5.1.1 (based on Eclipse x2.1) to see how it suports the auto code generation from .hbm file to POJO file.

When I right click the contact.hbm.xml file I created and choose HiberClipse--> CodeGenerator, the following exception is thrown:


java.lang.NoClassDefFoundError: com/ibm/crypto/provider/IBMJCA (wrong name: net/sf/hibernate/tool/hbm2java/CodeGenerator)
at java.lang.ClassLoader.defineClass0(Native Method)
at java.lang.ClassLoader.defineClass(ClassLoader.java:703)
at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:133)
at java.net.URLClassLoader.defineClass(URLClassLoader.java:320)
at java.net.URLClassLoader.access$400(URLClassLoader.java:93)
at java.net.URLClassLoader$ClassFinder.run(URLClassLoader.java:678)
at java.security.AccessController.doPrivileged(Native Method)
at java.net.URLClassLoader.findClass(URLClassLoader.java:239)
at java.lang.ClassLoader.loadClass(ClassLoader.java:516)
at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:460)
at java.lang.ClassLoader.loadClass(ClassLoader.java:448)
Exception in thread "main"


Has anyone can tell from above message what could be wrong? I did have the hibernate-tool.jar which contains the net/sf/hibernate/tool/hbm2java/CodeGenerator in my build path.


Thanks

-Helen
 
Mark Spritzler
ranger
Sheriff
Posts: 17278
6
IntelliJ IDE Mac Spring
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Maybe a you have a different version of Hibernate than the one that HiberClipse is using.

First, for the best Hibernate plugin use JBoss's. Built by the source, rather than some third party plugin.

I have never heard of HiberClipse, so maybe it is old and has the old Hibernate 2.x package naming, whereas in Hibernate 3 the package structure changed. So that would make Hibernate 3.x incompatible with HiberClipse.

Mark
 
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic